# MeshDataStructure::TVertexArray Struct Reference

Inheritance diagram for MeshDataStructure::TVertexArray:

List of all members.

## Public Member Functions
| TVertexArray ()
uint32 | GetElemCount ()
## Public Attributes
TMCArray< TVector3 > | fPositions
| the position of each vertex
TMCClassArray< TMCArray< int32 > > | fEdges
| for each vertex the list of edges that point to it
TMCClassArray< TMCArray< int32 > > | fPolygons
| for each vertex the list of polygons that point to it
TMCClassArray< TUVData > | fUVs
| the normals of each vertex
TMCClassArray< TNormalData > | fNormals
| the normals of each vertex
TMCClassArray< TCoordData > | fBarycentricCoordinates
| the barycentric coordinates of each vertex
TMCArray< TMCColorRGBA8 > | fColors
| a color for each vertex
boolean | fAllocateBarycentricCoordinates

## Constructor & Destructor Documentation

MeshDataStructure::TVertexArray::TVertexArray | ( |  | ) | `[inline]`

## Member Function Documentation

uint32 MeshDataStructure::TVertexArray::GetElemCount | ( |  | ) | `[inline]`

## Member Data Documentation

boolean MeshDataStructure::TVertexArray::fAllocateBarycentricCoordinates

TMCClassArray< TCoordData > MeshDataStructure::TVertexArray::fBarycentricCoordinates

the barycentric coordinates of each vertex

TMCArray< TMCColorRGBA8 > MeshDataStructure::TVertexArray::fColors

a color for each vertex

TMCClassArray< TMCArray<int32> > MeshDataStructure::TVertexArray::fEdges

for each vertex the list of edges that point to it

TMCClassArray< TNormalData > MeshDataStructure::TVertexArray::fNormals

the normals of each vertex

TMCClassArray< TMCArray<int32> > MeshDataStructure::TVertexArray::fPolygons

for each vertex the list of polygons that point to it

TMCArray<TVector3> MeshDataStructure::TVertexArray::fPositions

the position of each vertex

TMCClassArray< TUVData > MeshDataStructure::TVertexArray::fUVs

the normals of each vertex

The documentation for this struct was generated from the following file:

- MeshDataStructure.h